<?php
/*

Template Name: Contact

*/
get_header(); ?>

    <div class="wrapper">
        <div class="other-content">
                <?php
                $x_coord = get_option(THEME_NAME.'_x_coordinate');
                $y_coord = get_option(THEME_NAME.'_y_coordinate');
                $zoom_factor = get_option(THEME_NAME.'_map_zoom');

                if (empty ($x_coord) && $x_coord!=='' ){
                    $x_coord = 0;
                }

                 if (empty ($y_coord) && $y_coord!=='' ){
                    $y_coord = 0;
                }

                 if (empty ($zoom_factor) && $zoom_factor!=='' ){
                    $zoom_factor = 0;
                } 

                ?>

        <div class="contact-title"><strong>Find</strong> Us on a map</div>

            <div class="clear-both"></div>

                <div class="contact-images">
                    <div class="contact-mask-top"></div>
                    <div class="contact-mask-center">
                    <script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=false">
                    </script>
                    <div id="map_canvas" style="width: 544px; height: 370px; min-height: 0px;" class="contact-img"></div>

                    

                    <script type="text/javascript">


                        var latlng = new google.maps.LatLng(<?php echo $x_coord?>, <?php echo $y_coord?>);

                        var myOptions = {
                            zoom: <?php echo $zoom_factor ?>,
                            center: latlng,
                            mapTypeControl: false,
                            streetViewControl: false,
                            overviewMapControl: false,
                            mapTypeId: google.maps.MapTypeId.ROADMAP
                        };
                        var mapa = new google.maps.Map(document.getElementById("map_canvas"), myOptions);

                    </script>
                    </div>
                    <div class="contact-mask-down"></div>
                </div><!--/contact-images-->

                <?php
                /* Run the loop to output the page.
					 * If you want to overload this in a child theme then include a file
					 * called loop-page.php and that will be used instead.
                */
                //get_template_part( 'loop', 'page' );
                wp_reset_query();
                if ( have_posts() ) : while ( have_posts() ) : the_post();
                        the_content();
                    endwhile;
                else:
                endif;
                wp_reset_query();
                ?>

                <?php
                $subject_error_msg = get_option(THEME_NAME.'_subject_error_msg');
                $name_error_msg = get_option(THEME_NAME.'_name_error_msg');
                $email_error_msg = get_option(THEME_NAME.'_email_error_msg');
                $message_error_msg = get_option(THEME_NAME.'_message_error_msg');
                $mail_success_msg = get_option(THEME_NAME.'_mail_success_msg');
                $mail_error_msg = get_option(THEME_NAME.'_mail_error_msg');
                ?>

                <!-- Validate script -->
                <script type="text/javascript">
                    function validate_emailx(field,alerttxt)
                    {
                        with (field)
                        {
                            apos=value.indexOf("@");
                            dotpos=value.lastIndexOf(".");
                            if (apos<1||dotpos-apos<2)
                            {$('#contact-error2').empty().append(alerttxt);return false;}
                            else {return true;}
                        }
                    }

                    function check_fieldx(field,alerttxt,checktext){
                        with (field)
                        {
                            var checkfalse = 0;
                            if(field.value == ""){
                                $('#contact-error2').empty().append(alerttxt);
                                field.focus();checkfalse=1;}

                            if(field.value==checktext)
                            {
                                $('#contact-error2').empty().append(alerttxt);
                                field.focus();checkfalse=1;}

                            if(checkfalse==1){return false;}else{return true;}
                        }
                    }

                    function checkFormx(thisform)
                    {
                        with (thisform)
                        {
                            var error = 0;

                            var message = document.getElementById('contmessage');
                            if(check_fieldx(message,"<?php echo $message_error_msg?>","Message")==false){
                                error = 1;
                            }

                            var email = document.getElementById('contemail');
                            if (validate_emailx(email,"<?php echo $email_error_msg?>")==false)
                            {email.focus();error = 1;}

                            var contactname = document.getElementById('contname');
                            if(check_fieldx(contactname,"<?php echo $name_error_msg?>","Name")==false){
                                error = 1;
                            }

                            var subject = document.getElementById('contsubject');
                            if(check_fieldx(subject,"<?php echo $subject_error_msg?>","Subject")==false){
                                error = 1;
                            }

                            if(error == 0){
                                var subject = document.getElementById('contsubject').value;
                                var contactname = document.getElementById('contname').value;
                                var email = document.getElementById('contemail').value;
                                var message = document.getElementById('contmessage').value;

                                return true;
                            }
                            return false;
                        }
                    }
                </script>
                <!-- end of script -->

                <!--FORM-->
                <span class="title-border-content"><span class="contact-title-margin"><strong>Say</strong> Hello</span><div class="title-border"></div></span>


                <form method="POST" id="contform" onsubmit="return checkFormx(this)" action="<?php echo get_template_directory_uri().'/sendcontact_tmpl.php'?>">
                    <div class="form-input">

                        <div class="bg-input">
                            <input type="text" onfocus="if(value==defaultValue)value=''" onblur="if(value=='')value=defaultValue" value="Subject" name="contsubject" id="contsubject" tabindex="1"/>
                        </div>

                        <div class="bg-input">
                            <input type="text" onfocus="if(value==defaultValue)value=''" onblur="if(value=='')value=defaultValue" value="Name" name="contname" id="contname" tabindex="2"/>
                        </div>
                        <div class="bg-input">
                            <input type="text" onfocus="if(value==defaultValue)value=''" onblur="if(value=='')value=defaultValue" value="E-mail" name="contemail" id="contemail" tabindex="3"/>
                        </div>
                    </div><!--/form-input-->

                    <div class="form-textarea">
                        <div class="bg-textarea">
                            <textarea onfocus="if(value==defaultValue)value=''" onblur="if(value=='')value=defaultValue" name="contmessage" id="contmessage" tabindex="4">Message</textarea>
                        </div>
                    </div>

            <div class="clear-both"></div>

            <div class="silver-button float-right">
                <div class="silver-button-left"></div>
                <div class="silver-button-center"><input name="contsubmit" type="submit" id="contsubmit" class="contsubmit"  tabindex="5" value="Submit" onclick="return checkFormx(this)" /></div>
                <div class="silver-button-right"></div>
            </div>

                    <input type="hidden" name="returnurl" value="<?php echo get_permalink();  ?>">
                    <div id="contact-success2"><?php if(isset($_GET['sentx'])) {
    $what = $_GET['sentx'];
    if($what == 'success') {
        echo $mail_success_msg;
    }
}
?></div>
                    <div id="contact-error2"><?php if(isset($_GET['sentx'])) {
    $what = $_GET['sentx'];
                        if($what == 'error') {
                            echo $mail_error_msg;
    }
}
?></div>

                </form><!--close form -->
    </div>
            </div> <!--close left_content -->


<?php get_footer(); ?>




